Page MenuHomePhabricator

Remove support for browsers not supporting HTML5 File API from UploadWizard
Closed, ResolvedPublic

Description

We should remove support for browsers not supporting HTML5 File API from UploadWizard. I'm pretty sure we were only needing it for IE8, and MediaWiki dropped JS support for it a while ago. This will probably be easier to do after https://gerrit.wikimedia.org/r/#/c/270295/ (6ac498c915320b4281ce7bcd93807dfa01a57926).

Event Timeline

matmarex created this task.Feb 12 2016, 5:04 PM
matmarex raised the priority of this task from to Low.
matmarex updated the task description. (Show Details)
matmarex added a subscriber: matmarex.
Restricted Application added subscribers: Steinsplitter, Matanya, Aklapper. · View Herald TranscriptFeb 12 2016, 5:04 PM

(UploadWizard already doesn't work on IE 9, I just tested. You can't even choose a file (clicking the button does nothing) and when I fixed that, I got exceptions from somewhere deep inside. I didn't try debugging further than that because due to T49277, debug mode is broken on IE 9, and its debugger doesn't really work with minified scripts.)

matmarex claimed this task.Mar 4 2016, 12:48 AM

Change 277938 had a related patch set uploaded (by Bartosz Dziewoński):
Remove the ability to configure enableFormData, enableMultiFileSelect, enableMultipleFiles

https://gerrit.wikimedia.org/r/277938

Change 277940 had a related patch set uploaded (by Bartosz Dziewoński):
Treat browsers without HTML5 File API support like grade-C browsers

https://gerrit.wikimedia.org/r/277940

Change 277938 merged by jenkins-bot:
Remove the ability to configure enableFormData, enableMultiFileSelect, enableMultipleFiles

https://gerrit.wikimedia.org/r/277938

Change 279702 had a related patch set uploaded (by Bartosz Dziewoński):
[WIP] Drop support for Firefox < 7.0

https://gerrit.wikimedia.org/r/279702

matmarex raised the priority of this task from Low to Normal.Mar 29 2016, 7:25 PM

Change 277940 merged by jenkins-bot:
Treat browsers without HTML5 File API and FormData support like Grade C browsers

https://gerrit.wikimedia.org/r/277940

matmarex closed this task as Resolved.Mar 30 2016, 2:40 PM

OK, starting with the 1.27.0-wmf.20 release of MediaWiki (to be deployed next week according to MediaWiki 1.27 Roadmap), UploadWizard will explicitly drop support for a variety of older browsers, notably Firefox 3.6, Internet Explorer 9 and Android 4 stock browser. The requirements are listed at https://www.mediawiki.org/wiki/UploadWizard#Compatibility. As we're not doing browser sniffing, but using feature detection (except for Firefox < 7.0, which has an insidious bug preventing chunked uploading), any browsers not listed there that support the required APIs will continue working as before.

If your browser can't run UploadWizard, you'll see a plain upload form and a message advising what is going on. Here's a screenshot with Firefox 3.6 (it might look a bit different on Commons):

I don't expect this to affect many users. Judging by T130563, this affects no more than ~100 upload attempts per day, compared to ~5000-7000 uploads that are completed with UploadWizard daily. Judging by T130563 also, affected systems are mostly mobile devices with limited capabilities and extremely old desktop/laptop setups, both of which are probably better off with the simple form.

(I'm posting a notification at https://commons.wikimedia.org/wiki/Commons:Village_pump too.)